#!/bin/csh
# Copyright (C) 2019-2021:
#   Max Planck Institut fuer extraterrestrische Physik
#
# This file is part of eRosita's ESASS (https://erosita.mpe.mpg.de/). It is free software; you can
# redistribute it and/or modify it under the terms of the GNU General
# Public License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
# USA, or see https://www.gnu.org/licenses/.
#


# build all tasks in package $1 [clean|lib|link]
# HBrunner 2006-06-21 last update: 2014-07-25

cd $SASS_ROOT/$1
rm -f status.log
cd task

foreach task ( `cat ../TASKS | awk '{print $1}'` )
  echo $task
  cd $SASS_ROOT/$1/task/$task
  make -i $2 >>& build.log
  if ( -e status.log ) then
    echo ${1}/${task}: `cat status.log` >> ../../status.log
    echo ${1}/${task}: `cat status.log`
  else
    echo ${1}/${task}: task:ok >> ../../status.log
    echo ${1}/${task}: task:ok
  endif
end









