#! /bin/csh
# Copyright (C) 2019-2021:
#   Max Planck Institut fuer extraterrestrische Physik
#
# This file is part of eRosita's ESASS (https://erosita.mpe.mpg.de/). It is free software; you can
# redistribute it and/or modify it under the terms of the GNU General
# Public License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
# USA, or see https://www.gnu.org/licenses/.
#

# check task and package dependencies
# HBrunner 2006-09-01

foreach task ( `awk '{print $1}' DEPEND` )

   if ( -r $SASS_ROOT/$task/VERSION ) then
     set vers=`awk -F. '{print $1}' $SASS_ROOT/$task/VERSION`
     set tvers="$task $vers."
     grep -q "$tvers" DEPEND || echo "**WARNING: wrong version of package $task"
   endif

   foreach pkg ( $SASS_ROOT/* )

     if ( -r $pkg/task/$task/VERSION ) then
       set vers=`awk -F. '{print $1}' $pkg/task/$task/VERSION`
       set tvers="$task $vers."
       grep -q "$tvers" DEPEND || echo "**WARNING: wrong version of task $task"     
     endif

   end

end

 
