#! /bin/csh
# Copyright (C) 2019-2021:
#   Max Planck Institut fuer extraterrestrische Physik
#
# This file is part of eRosita's ESASS (https://erosita.mpe.mpg.de/). It is free software; you can
# redistribute it and/or modify it under the terms of the GNU General
# Public License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
# USA, or see https://www.gnu.org/licenses/.
#

# Calls ar -r once for each object file. Purpose: make sure
# the libs get created even if some of the *.for files 
# don't compile
# HBrunner 2007-04-10 (last update: 2010-05-04)

cp *.mod ../../mod

set arstat='ok'
foreach obj ( $2 )
  ar -rs $1 $obj || set arstat='lib:err'
end

if ($arstat != 'ok') then
  echo $arstat >> status.log
endif




