#! /bin/csh
# Copyright (C) 2019-2021:
#   Max Planck Institut fuer extraterrestrische Physik
#
# This file is part of eRosita's ESASS (https://erosita.mpe.mpg.de/). It is free software; you can
# redistribute it and/or modify it under the terms of the GNU General
# Public License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
# USA, or see https://www.gnu.org/licenses/.
#

# HBrunner 2006-08-09 last update: 2007-09-20
# needs to be called from <task> directory

set tsk=`grep TASK ChangeLog | awk '{print $2}'`
echo `grep Version ChangeLog` | awk '{print $2}' > VERSION

set release=`cat $SASS_ROOT/RELEASE`
set vers=`cat VERSION`
set arch=$tsk-$vers.tgz

cd ..

if ( -e $SW_ARCHIVE/$arch ) then
  echo $arch not updated
else
  echo creating $arch
  rm -f $tsk/*.o $tsk/*.lnk $tsk/*.log $tsk/version.for $tsk/*~ $tsk/\#*\#
  tar --exclude=scratch -czf $arch $tsk
  mv -i $arch $SW_ARCHIVE
  tar --exclude=local --exclude=scratch -czf  $arch $tsk
  mv -i $arch $SW_EXPARCH
  echo "$tsk $vers" >> $SASS_DIR/sw_export/${release}.patch  
endif

