#! /bin/csh
# Copyright (C) 2019-2021:
#   Max Planck Institut fuer extraterrestrische Physik
#
# This file is part of eRosita's ESASS (https://erosita.mpe.mpg.de/). It is free software; you can
# redistribute it and/or modify it under the terms of the GNU General
# Public License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
# USA, or see https://www.gnu.org/licenses/.
#

# HBrunner 2006-08-10

set release=`cat $SASS_ROOT/RELEASE`

if ( -e $SASS_ROOT/$1/task ) then
  cd $SASS_ROOT/$1/task

  rm -f ../TASKS
  foreach tsk ( `ls -1` )
    if ( -e $tsk/ChangeLog ) then
      cd $tsk
      $SASS_SETUP/make_dist.csh
      set vers=`cat VERSION`
      cd ..
      echo "$tsk $vers" >> ../TASKS
    endif
  end

  echo "==> Reorder tasks according to dependencies <=="
  $EDITOR TASKS
 
endif

cd $SASS_ROOT/$1


echo "==> Create new version in ChangeLog if tasks were updated <=="
$EDITOR ChangeLog

echo `grep Version ChangeLog` | awk '{print $2}' > VERSION
set vers=`cat VERSION`
set arch=$1-$vers.tgz
rm -f *~ \#*\#

cd ..

if ( -e $SW_ARCHIVE/$arch ) then
  echo $arch not updated
else
  echo creating $arch
  tar -czf $arch --exclude $1/task --exclude $1/lib $1 
  mv -i $arch $SW_ARCHIVE
  echo "$1 $vers" >> $SASS_DIR/sw_export/${release}.patch
endif











