#! /bin/csh
# Copyright (C) 2019-2021:
#   Max Planck Institut fuer extraterrestrische Physik
#
# This file is part of eRosita's ESASS (https://erosita.mpe.mpg.de/). It is free software; you can
# redistribute it and/or modify it under the terms of the GNU General
# Public License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this library; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307,
# USA, or see https://www.gnu.org/licenses/.
#

# HBrunner 2006-09-06 last update: 2014-07-24
# parameters: release to unpack, archive directory
# start from $SASS_DIR


set SASS_DIR=$PWD
set SW_ARCHIVE=$SASS_DIR/$2

cd $SASS_DIR

if (-e $1) then
  echo "** WARNING: directory $1 exists"
  mv -i $1 $1.saved
endif

tar -xzvf $SW_ARCHIVE/$1.tgz
cd $1

mkdir bin
mkdir par

foreach pkg ( `grep "\." PACKAGES | awk '{print $1}'` ) 
  echo "Unpacking $pkg"  
  set pvers=`grep $pkg PACKAGES | awk '{print $2}'`
  set parch="$pkg-$pvers.tgz"
  echo $parch
  
  tar -xzvf $SW_ARCHIVE/$parch
  cd $pkg
  mkdir doc
  mkdir lib
  mkdir mod
  mkdir task
  cd task

  foreach task ( `grep "\." ../TASKS | awk '{print $1}'` )   
    echo "Unpacking $task"
    set tvers=`grep ^$task ../TASKS | awk '{print $2}'`
    set tarch="$task-$tvers.tgz"
    echo $tarch

    tar -xzvf $SW_ARCHIVE/$tarch
  end

  cd ../..
end
  



